SecureAgentMail

List attachments

Returns all attachments for a given message, including virus scan status. Use the individual attachment endpoint to obtain a time-limited download URL.

GET
/messages/{message_id}/attachments

Authorization

BearerAuth
AuthorizationBearer <token>

API key passed as a Bearer token. Production keys start with am_live_ and sandbox keys start with am_test_.

In: header

Path Parameters

message_id*string

The unique message ID (prefixed with msg_).

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://secureagentmail.com/api/v1/messages/string/attachments"
{
  "attachments": [
    {
      "id": "att_f2g7h3",
      "message_id": "msg_x7k9m2",
      "filename": "invoice.pdf",
      "content_type": "application/pdf",
      "size_bytes": 245760,
      "scan_status": "clean",
      "created_at": "2026-02-25T10:15:00Z"
    }
  ]
}
{
  "error": {
    "code": "unauthorized",
    "message": "Invalid or missing API key.",
    "status": 401
  }
}
{
  "error": {
    "code": "not_found",
    "message": "The requested resource was not found.",
    "status": 404
  }
}
{
  "error": {
    "code": "rate_limited",
    "message": "Rate limit exceeded. Please retry after 30 seconds.",
    "status": 429
  }
}